Loading...
Searching...
No Matches
elasticity_criterion.icc

The elasticity problem – adaptive mesh criterion.

The elasticity problem – adaptive mesh criterion

field elasticity_criterion (Float lambda, const field& uh) {
string grad_approx = "P" + to_string(uh.get_space().degree()-1) + "d";
space Xh (uh.get_geo(), grad_approx);
if (grad_approx == "P0d") return lazy_interpolate (Xh, norm(uh));
space T0h (uh.get_geo(), grad_approx);
size_t d = uh.get_geo().dimension();
tensor I = tensor::eye (d);
return lazy_interpolate (T0h, sqrt(2*norm2(D(uh)) + lambda*sqr(div(uh))));
}
Float
see the Float page for the full documentation
field
see the field page for the full documentation
space
see the space page for the full documentation
tensor
see the tensor page for the full documentation
elasticity_criterion
field elasticity_criterion(Float lambda, const field &uh)
Definition elasticity_criterion.icc:25
d
size_t d
Definition neumann-laplace-lambda.cc:28
lambda
Definition yield_slip_circle.h:34